ru.yandex.clickhouse.response

## Class ClickHouseResultBuilder

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseResultBuilder

    public class ClickHouseResultBuilder
    extends Object

For building ClickHouseResultSet by hands

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClickHouseResultBuilder` `addRow(List<?> row)`
`ClickHouseResultBuilder` `addRow(Object... row)`
`ClickHouseResultSet` `build()`
`static ClickHouseResultBuilder` `builder(int columnsNum)`
`ClickHouseResultBuilder` `names(List<String> names)`
`ClickHouseResultBuilder` `names(String... names)`
`ClickHouseResultBuilder` `timeZone(TimeZone timezone)`
`ClickHouseResultBuilder` `types(List<String> types)`
`ClickHouseResultBuilder` `types(String... types)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### builder

    public static ClickHouseResultBuilder builder(int columnsNum)

#### names

    public ClickHouseResultBuilder names(String... names)

#### types

    public ClickHouseResultBuilder types(String... types)

#### addRow

    public ClickHouseResultBuilder addRow(Object... row)

#### names

    public ClickHouseResultBuilder names(List<String> names)

#### types

    public ClickHouseResultBuilder types(List<String> types)

#### addRow

    public ClickHouseResultBuilder addRow(List<?> row)

#### timeZone

    public ClickHouseResultBuilder timeZone(TimeZone timezone)

#### build

    public ClickHouseResultSet build()